Bug 1044156 - DS crashes with some 7-bit check plugin configurations
Summary: DS crashes with some 7-bit check plugin configurations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:32 UTC by Nathan Kinder
Modified: 2015-03-05 09:31 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:31:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 21:32:01 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47370

When one `nsslapd-pluginarg` argument is missing in 7-bit plugin config configuration, DS crashes:

{{{
# 7-bit check, plugins, config
dn: cn=7-bit check,cn=plugins,cn=config
objectClass: top
objectClass: nsSlapdPlugin
objectClass: extensibleObject
cn: 7-bit check
nsslapd-pluginPath: libattr-unique-plugin
nsslapd-pluginInitfunc: NS7bitAttr_Init
nsslapd-pluginType: betxnpreoperation
nsslapd-pluginEnabled: on
nsslapd-pluginarg0: uid
nsslapd-pluginarg1: mail

<<< Missing nsslapd-pluginarg2

nsslapd-pluginarg3: ,
nsslapd-pluginarg4: dc=idm,dc=lab,dc=bos,dc=redhat,dc=com
nsslapd-plugin-depends-on-type: database
nsslapd-pluginId: NS7bitAttr
nsslapd-pluginVersion: 1.3.1.0
nsslapd-pluginVendor: 389 Project
nsslapd-pluginDescription: Enforce  7-bit clean attribute values
}}}

/var/log/messages:
{{{
May 27 03:59:47 vm-119 systemd[1]: Stopping 389 Directory Server IDM-LAB-BOS-REDHAT-COM....
May 27 03:59:49 vm-119 systemd[1]: Starting 389 Directory Server IDM-LAB-BOS-REDHAT-COM....
May 27 03:59:49 vm-119 kernel: [497353.168414] ns-slapd[22836]: segfault at 0 ip 00007fdff9eca82b sp    00007fffd07d4dc0 error 4 in libattr-unique-plugin.so[7fdff9ec8000+5000]
}}}

Comment 2 Viktor Ashirov 2014-12-26 01:13:39 UTC
$ rpm -qa | grep 389
389-ds-base-debuginfo-1.3.3.1-10.el7.x86_64
389-ds-base-1.3.3.1-10.el7.x86_64
389-ds-base-libs-1.3.3.1-10.el7.x86_64

When one nsslapd-pluginarg argument is missing in 7-bit plugin config, DS doesn't crash. In the errors log: 

[26/Dec/2014:02:10:15 +0100] NS7bitAttr_Init - Invalid plugin arguments - missing "," separator argument
[26/Dec/2014:02:10:15 +0100] - Init function "NS7bitAttr_Init" for "7-bit check" plugin in library "libattr-unique-plugin" failed
[26/Dec/2014:02:10:15 +0100] - Unable to load plugin "cn=7-bit check,cn=plugins,cn=config"

Marking as VERIFIED

Comment 4 errata-xmlrpc 2015-03-05 09:31:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.